spring:
  # 数据库配置
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://rm-wz9vza84pe0hb338kbo.mysql.rds.aliyuncs.com:3306/xgl_oa?autoReconnect=true&useUnicode=true&useSSL=false&serverTimezone=GMT%2B8&characterEncoding=UTF-8
    username: root
    password: 'lyg8266@Qiween#com'
    druid:
      initial-size: 3
      min-idle: 1
      max-active: 500
      max-wait: 60000 # 获取连接等待超时的时间
      time-between-eviction-runs-millis: 60000 # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
      min-evictable-idle-time-millis: 300000 # 配置一个连接在池中最小生存的时间，单位是毫秒
      test-while-idle: true # 申请连接的时候检测, 建议配置为true，不影响性能
      test-on-borrow: false # 申请连接时执行validationQuery检测连接是否有效
      test-on-return: false # 归还连接时执行validationQuery检测连接是否有效
      validation-query: SELECT 1
      log-abandoned: true # 关闭abanded连接时输出错误日志
      remove-abandoned: false # 是否开启连接泄漏监测,对性能会有一些影响，建议怀疑存在泄漏之后再打开
      remove-abandoned-timeout: 1800 # 1800秒，也就是30分钟
      filters: stat, wall
      web-stat-filter:
        exclusions: '*.js,*.gif,*.jpg,*.bmp,*.png,*.css,*.ico,/druid/*'
      stat-view-servlet:
        enabled: true
        url-pattern: /druid/*
        login-username: admin
        login-password: szxgl.com
  # Redis配置(springboot2.x版本中默认客户端是用lettuce实现的)
  redis:
    database: 0 # Redis数据库索引,默认为0
    host: r-wz97jov3cc4roi3b1ppd.redis.rds.aliyuncs.com
    port: 19088
    password: 'Xfhd@2020'
    #timeout: 5000ms # 连接超时时间（毫秒）
    timeout: 5000
    lettuce:
      pool:
        max-active: 1000 # 连接池最大连接数（使用负值表示没有限制）
        #max-wait: -1ms # 连接池最大阻塞等待时间（使用负值表示没有限制）
        max-wait: -1
        max-idle: 8 # 连接池中的最大空闲连接
        min-idle: 1 # 连接池中的最小空闲连接


